features:
  secondary:
    - name: "FIPS-enabled Red Hat UBI Dependency Scanning image"
      available_in: [ultimate]
      gitlab_com: true
      documentation_link: 'https://docs.gitlab.com/ee/user/application_security/dependency_scanning/#fips-enabled-images'
      reporter: sam.white
      stage: secure
      categories:
        - 'Dependency Scanning'
      issue_url: 'https://gitlab.com/gitlab-org/gitlab/-/issues/362245'
      description: |
        Dependency Scanning for Java (gemnasium-maven) is now available on a FIPS-enabled Red Hat UBI image. When FIPS mode is enabled, this image uses the OpenJDK packages for RedHat UBI 8 instead of the non-FIPS-compliant `asdf-java` package that is used by default. When FIPS mode is enabled, only Java versions 7, 11, and 17 are supported. To get begin scanning using the FIPS-compliant Dependency Scanning image, simply [include the Dependency Scanning template](https://docs.gitlab.com/ee/user/application_security/dependency_scanning/#configuration) in your CI/CD file and set the `DS_IMAGE_SUFFIX`` variable to `"-fips"`.
